FLANG

Public Types | Public Member Functions | List of all members
Fortran::semantics::CollectActualArgumentsHelper Struct Reference
Inheritance diagram for Fortran::semantics::CollectActualArgumentsHelper:

## Public Types
using | Base = SetTraverse< CollectActualArgumentsHelper, ActualArgumentSet >

## Public Member Functions
ActualArgumentSet | operator() (const evaluate::ActualArgument &arg) const
Public Member Functions inherited from Fortran::evaluate::SetTraverse< CollectActualArgumentsHelper, ActualArgumentSet >
| SetTraverse (CollectActualArgumentsHelper &v)
Public Member Functions inherited from Fortran::evaluate::Traverse< CollectActualArgumentsHelper, ActualArgumentSet >
| Traverse (CollectActualArgumentsHelper &v)
ActualArgumentSet | operator() (const common::Indirection< A, C > &x) const
ActualArgumentSet | operator() (SymbolRef x) const
ActualArgumentSet | operator() (const std::unique_ptr< A > &x) const
ActualArgumentSet | operator() (const std::shared_ptr< A > &x) const
ActualArgumentSet | operator() (const A *x) const
ActualArgumentSet | operator() (const std::optional< A > &x) const
ActualArgumentSet | operator() (const std::variant< A... > &u) const
ActualArgumentSet | operator() (const std::vector< A > &x) const
ActualArgumentSet | operator() (const BOZLiteralConstant &) const
ActualArgumentSet | operator() (const NullPointer &) const
ActualArgumentSet | operator() (const Constant< T > &x) const
ActualArgumentSet | operator() (const Symbol &) const
ActualArgumentSet | operator() (const StaticDataObject &) const
ActualArgumentSet | operator() (const ImpliedDoIndex &) const
ActualArgumentSet | operator() (const BaseObject &x) const
ActualArgumentSet | operator() (const Component &x) const
ActualArgumentSet | operator() (const NamedEntity &x) const
ActualArgumentSet | operator() (const TypeParamInquiry< KIND > &x) const
ActualArgumentSet | operator() (const Triplet &x) const
ActualArgumentSet | operator() (const Subscript &x) const
ActualArgumentSet | operator() (const ArrayRef &x) const
ActualArgumentSet | operator() (const CoarrayRef &x) const
ActualArgumentSet | operator() (const DataRef &x) const
ActualArgumentSet | operator() (const Substring &x) const
ActualArgumentSet | operator() (const ComplexPart &x) const
ActualArgumentSet | operator() (const Designator< T > &x) const
ActualArgumentSet | operator() (const Variable< T > &x) const
ActualArgumentSet | operator() (const DescriptorInquiry &x) const
ActualArgumentSet | operator() (const SpecificIntrinsic &) const
ActualArgumentSet | operator() (const ProcedureDesignator &x) const
ActualArgumentSet | operator() (const ActualArgument &x) const
ActualArgumentSet | operator() (const ProcedureRef &x) const
ActualArgumentSet | operator() (const FunctionRef< T > &x) const
ActualArgumentSet | operator() (const ArrayConstructorValue< T > &x) const
ActualArgumentSet | operator() (const ArrayConstructorValues< T > &x) const
ActualArgumentSet | operator() (const ImpliedDo< T > &x) const
ActualArgumentSet | operator() (const semantics::ParamValue &x) const
ActualArgumentSet | operator() (const semantics::DerivedTypeSpec::ParameterMapType::value_type &x) const
ActualArgumentSet | operator() (const semantics::DerivedTypeSpec &x) const
ActualArgumentSet | operator() (const StructureConstructorValues::value_type &x) const
ActualArgumentSet | operator() (const StructureConstructor &x) const
ActualArgumentSet | operator() (const Operation< D, R, O > &op) const
ActualArgumentSet | operator() (const Operation< D, R, LO, RO > &op) const
ActualArgumentSet | operator() (const Relational< SomeType > &x) const
ActualArgumentSet | operator() (const Expr< T > &x) const

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::SetTraverse< CollectActualArgumentsHelper, ActualArgumentSet >
static ActualArgumentSet | Default ()
static ActualArgumentSet | Combine (ActualArgumentSet &&x, ActualArgumentSet &&y)

The documentation for this struct was generated from the following file:

- lib/Semantics/check-do-forall.cpp